/****************************************************************************

Copyright (c) 2009 Intel Corporation.  All rights reserved. 



DISCLAIMER OF WARRANTY

NEITHER INTEL NOR ITS SUPPLIERS MAKE ANY REPRESENTATION OR WARRANTY OR

CONDITION OF ANY KIND WHETHER EXPRESS OR IMPLIED (EITHER IN FACT OR BY

OPERATION OF LAW) WITH RESPECT TO THE SOURCE CODE.  INTEL AND ITS SUPPLIERS

EXPRESSLY DISCLAIM ALL WARRANTIES OR CONDITIONS OF MERCHANTABILITY OR

FITNESS FOR A PARTICULAR PURPOSE.  INTEL AND ITS SUPPLIERS DO NOT WARRANT

THAT THE SOURCE CODE IS ERROR-FREE OR THAT OPERATION OF THE SOURCE CODE WILL

BE SECURE OR UNINTERRUPTED AND HEREBY DISCLAIM ANY AND ALL LIABILITY ON

ACCOUNT THEREOF.  THERE IS ALSO NO IMPLIED WARRANTY OF NON-INFRINGEMENT.

SOURCE CODE IS LICENSED TO LICENSEE ON AN "AS IS" BASIS AND NEITHER INTEL

NOR ITS SUPPLIERS WILL PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION,

TRAINING OR OTHER SERVICES.  INTEL AND ITS SUPPLIERS WILL NOT PROVIDE ANY

UPDATES, ENHANCEMENTS OR EXTENSIONS. 


File Name:          ApplicationInfo.h

Description:

    This file defines class CApplicationInfo.

Environment (opt):
    OS: Ubuntu
    SE: Eclipse

Notes (opt):

  =====================================================================

  Revision   Revision History               Author     Date

  =====================================================================

  0.1        Create                        Huang Miao  2008/9/16

  =====================================================================

****************************************************************************/

#ifndef __APPLICATIONINFO_H__
#define __APPLICATIONINFO_H__

#include <string>

namespace LibSESData
{
	class CApplicationInfo
	{
	public:
		CApplicationInfo();
		virtual ~CApplicationInfo();

	private:
		int m_iEnable;
	    std::string m_strName;
		std::string m_strPath;
		std::string m_strCustomIcon;

	public:

		//Modify by lx start 20081013: move to cpp
		int GetEnable() const;

		void SetEnable(int iEnable);

		std::string GetName() const;

		void SetName(std::string strName);

		std::string GetPath() const;

		void SetPath(std::string strPath);

		std::string GetCustomIcon() const;

		void SetCustomIcon(std::string strCustomIcon);
		//Modify by lx end

		int IsEqual(const CApplicationInfo& other);

};

}

#endif /* __APPLICATIONINFO_H__ */
