/****************************************************************************

Copyright (c) 2009 Intel Corporation.  All rights reserved. 



DISCLAIMER OF WARRANTY

NEITHER INTEL NOR ITS SUPPLIERS MAKE ANY REPRESENTATION OR WARRANTY OR

CONDITION OF ANY KIND WHETHER EXPRESS OR IMPLIED (EITHER IN FACT OR BY

OPERATION OF LAW) WITH RESPECT TO THE SOURCE CODE.  INTEL AND ITS SUPPLIERS

EXPRESSLY DISCLAIM ALL WARRANTIES OR CONDITIONS OF MERCHANTABILITY OR

FITNESS FOR A PARTICULAR PURPOSE.  INTEL AND ITS SUPPLIERS DO NOT WARRANT

THAT THE SOURCE CODE IS ERROR-FREE OR THAT OPERATION OF THE SOURCE CODE WILL

BE SECURE OR UNINTERRUPTED AND HEREBY DISCLAIM ANY AND ALL LIABILITY ON

ACCOUNT THEREOF.  THERE IS ALSO NO IMPLIED WARRANTY OF NON-INFRINGEMENT.

SOURCE CODE IS LICENSED TO LICENSEE ON AN "AS IS" BASIS AND NEITHER INTEL

NOR ITS SUPPLIERS WILL PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION,

TRAINING OR OTHER SERVICES.  INTEL AND ITS SUPPLIERS WILL NOT PROVIDE ANY

UPDATES, ENHANCEMENTS OR EXTENSIONS. 


File Name:          Category.h

Description:

    This file defines class Category.

Environment (opt):
    OS: Ubuntu
    SE: Eclipse

Notes (opt):

  =====================================================================

  Revision   Revision History               Author     Date

  =====================================================================

  0.1        Create                        Huang Miao  2008/9/16

  =====================================================================

****************************************************************************/

#ifndef __CATEGORY_H__
#define __CATEGORY_H__

#include "ApplicationInfo.h"
#include <list>
#include <string>

namespace LibSESData
{
class CCategory
{
public:
	CCategory();
	virtual ~CCategory();

private:
	CCategory(const CCategory&);
	CCategory& operator = (const CCategory&);

public:

	//Modify by lx start 20081013: move to cpp
	std::string GetName() const;
	void SetName(std::string m_strName);

	std::list<CApplicationInfo*> *GetPApplicationInfoList() const;

	//Modify by lx 20081010: move to cpp
	void SetPApplicationInfoList(std::list<CApplicationInfo*> *pApplicationInfoList);
	//Modify by lx end

	std::string GetCategoryIcon() const;
	void SetCategoryIcon(std::string strCategoryIcon);

	int IsApplicationExist(std::string appName, std::string appPath);

	int IsEqual(const CCategory& other);

private:
	std::string m_strName;
	std::string m_strCategoryIcon;
	std::list<CApplicationInfo*>* m_pApplicationInfoList;
};

}

#endif /* __CATEGORY_H__*/
