/****************************************************************************

Copyright (c) 2009 Intel Corporation.  All rights reserved. 



DISCLAIMER OF WARRANTY

NEITHER INTEL NOR ITS SUPPLIERS MAKE ANY REPRESENTATION OR WARRANTY OR

CONDITION OF ANY KIND WHETHER EXPRESS OR IMPLIED (EITHER IN FACT OR BY

OPERATION OF LAW) WITH RESPECT TO THE SOURCE CODE.  INTEL AND ITS SUPPLIERS

EXPRESSLY DISCLAIM ALL WARRANTIES OR CONDITIONS OF MERCHANTABILITY OR

FITNESS FOR A PARTICULAR PURPOSE.  INTEL AND ITS SUPPLIERS DO NOT WARRANT

THAT THE SOURCE CODE IS ERROR-FREE OR THAT OPERATION OF THE SOURCE CODE WILL

BE SECURE OR UNINTERRUPTED AND HEREBY DISCLAIM ANY AND ALL LIABILITY ON

ACCOUNT THEREOF.  THERE IS ALSO NO IMPLIED WARRANTY OF NON-INFRINGEMENT.

SOURCE CODE IS LICENSED TO LICENSEE ON AN "AS IS" BASIS AND NEITHER INTEL

NOR ITS SUPPLIERS WILL PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION,

TRAINING OR OTHER SERVICES.  INTEL AND ITS SUPPLIERS WILL NOT PROVIDE ANY

UPDATES, ENHANCEMENTS OR EXTENSIONS. 


File Name:          ManualLock.h

Description:

    This file defines class CManualLock.

Environment (opt):
    OS: Ubuntu
    SE: Eclipse

Notes (opt):

  =====================================================================

  Revision   Revision History               Author     Date

  =====================================================================

  0.1        Create                        Huang Miao  2008/9/16

  =====================================================================

****************************************************************************/

#ifndef __MANUALLOCK_H__
#define __MANUALLOCK_H__

#include <string>

namespace LibSESData
{
	class CManualLock
	{
	public:
		CManualLock();
		virtual ~CManualLock();

	private:
		int m_iOption;
		int m_LockedTime;
		int m_iUnlockAfterDisconnect;
		int m_iUnlockAfterConnect;
		int m_iDisconnectTime;

	public:

		//Modify by lx start 20081013: move to cpp
		int GetOption() const;

		void SetOption(int m_iOption);

		void GetLockedTime(int &iTime) const;

		//void SetStudentName(std::string strTime)//TODO : jinxin review error func name.	//Done
		void SetLockedTime(int iStartTime);

		int GetUnlockAfterDisconnect() const;

		void SetUnlockAfterDisconnect(int m_iUnlockAfterDisconnect);

		int GetUnlockAfterConnect() const;

		void SetUnlockAfterConnect(int m_iUnlockAfterConnect);
		//Modify by lx end
		void SetDisconnectTime(int iDisconnectTime);
		int GetDisconnectTime() const;
	};

}

#endif /* __MANUALLOCK_H__ */
